# Getting started

## Using Docker

Make sure docker daemon is running if not already.

Learn how to install Docker here:

{% content-ref url="/pages/1dsjdbQqET8OchUz4qne" %}
[Installing Docker](/v2/hop-node/installing-docker.md)
{% endcontent-ref %}

### Install docker image

The Bundler Relayer docker image is hosted on [Docker Hub](https://hub.docker.com/r/hopprotocol/v2-bundle-relayer).

Pull the Bundle Relayer docker image:

```bash
docker pull hopprotocol/v2-hop-node
```

### Running docker image

*Documentation will be available soon.*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hop.exchange/v2/hop-node/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
